import 'dart:io';

enum EnvironmentType { local, staging, nightly, production }

class Environment {
  String appId;
  EnvironmentType type;
  Environment({this.type, this.appId});

  String getApiUrl({String appId}) {
    switch (type) {
      case EnvironmentType.production:
        return 'api-' + appId + '.sendbird.com';
      case EnvironmentType.staging:
        return 'api-staging.sendbird.com';
      case EnvironmentType.nightly:
        return 'api-nightly.sendbirdtest.com';
      default:
        return Platform.environment['API_HOST'];
    }
  }

  String getWsUrl({String appId}) {
    switch (type) {
      case EnvironmentType.production:
        return 'wss://ws-' + appId + '.sendbird.com';
      case EnvironmentType.staging:
        return 'wss://ws-staging.sendbird.com';
      case EnvironmentType.nightly:
        return 'wss://ws-nightly.sendbirdtest.com';
      default:
        return Platform.environment['WS_HOST'];
    }
  }

  String get authHeader => Platform.environment['REMOTE_API_KEY'];
  String get secret => Platform.environment['SECRET_KEY'];
}
